Export an exception list
Server:
https://{kibana_url}
- POST /api/exception_lists/_export
- POST /s/{space_id}/api/exception_lists/_export
Refer to Spaces for more information.
Export an exception list and its associated items to an NDJSON file.
Query Parameters
-
idstring · min: 1required Exception list's internal
id(UUID) returned on create; use withlist_idandnamespace_typefor an unambiguous target.-
list_idstring · min: 1required Human-readable
list_idof the exception list to export, as shown in the UI and API responses.-
namespace_typerequired singleexports a list in the current Kibana space;agnosticexports a global (space-agnostic) list.-
Values:
agnosticsingle -
include_expired_exceptions· default: truerequired Determines whether to include expired exceptions in the exported list. Expiration date defined by
expire_time.-
Values:
truefalse
Responses
Successful response
Response Type: string
Invalid input data response
One of:
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
-
messagestringrequired -
status_codeintegerrequired
Unsuccessful authentication response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Not enough privileges response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Exception list not found response
-
messagestringrequired -
status_codeintegerrequired
Internal server error response
-
messagestringrequired -
status_codeintegerrequired